#include <stdio.h>

int main(int argc, char *argv[])
{
	FILE *fp;
	char c[16];

  if (argc != 2)
	{
		printf("usage: ISGBDK rom.gb\n");
		return 2;
	}
	fp = fopen(argv[1], "rb");
	if (!fp)
	{
		printf("Error opening file: %s\n", argv[1]);
		return 2;
	}
	fseek(fp,16, SEEK_SET);
	fread(c, 16, 1, fp);
  fclose(fp);
	if (ferror(fp))
	{
		printf("Error reading header!\n");
		return 2;
	}
  if (!memcmp(c, "\x80\x40\x20\x10\x08\x04\x02\x01\x01\x02\x04\x08\x10\x20\x40\x80", 16))
	{
    printf("%40s -- GBDK\n", argv[1]);
		return 0;
	}
	else
	{
    printf("%40s -- ASM\n", argv[1]);
		return 1;
	}
}
